Forum
1
Blog
1
Sell music
Sell music
My account
Cart
Artist
▼
Select a specific search field:
All fields
Artist
Title
Artist + Title
Label
Seller
All formats
▼
Select a specific format:
All formats
Album
CD
CD Album
CD Single
CD Maxi
Vinyl records
LP
7 inchs
7 inchs (SP)
7 inchs (EP)
12 inchs
78 rpm
10 inchs
DVD
VHS
Cassette
Clothing
T-Shirt
Others
▼
Select a specific search field:
All fields
Artist
Title
Artist + Title
Label
Seller
Select a specific format:
All formats
Album
CD
CD Album
CD Single
CD Maxi
Vinyl records
LP
7 inchs
7 inchs (SP)
7 inchs (EP)
12 inchs
78 rpm
10 inchs
DVD
VHS
Cassette
Clothing
T-Shirt
Others
Music categories
Featured items
Featured sellers
New items
Under €10
Sellers on sale
Mint Sellers
Featured items
Featured sellers
New items
MENU
Featured items
Featured sellers
New items
Under €10
Sellers on sale
Mint Sellers
Forum
1
Blog
1
Rock
>
Pop UK & US
>
French / Euro Pop
>
Soul Funk / RnB 60s
>
Jazz
>
Hip-Hop
>
Electro / New grooves
>
Soundtracks
>
World Music
>
Classical
>
Various Items
>
Our app is available!
Learn more here
Home
Cursive
CURSIVE
:
42 results found
Save search
Filters :
Items on sale
Mint Sellers
Professional sellers
Private sellers
Sellers from the EU
Sellers outside the EU
Sort by
Relevance
New arrivals
Artist (a - z)
Artist (z - a)
Title (a - z)
Title (z - a)
Format
Price (lowest first)
Price (highest first)
Year (0 - 9)
Year (9 - 0)
Items per page
25
50
100
250
500
page 1 / 1
Artist-Title
Format
Grading
Price
Seller
cursive / eastern youth
8 teeth to eat you
SAKASHO-19 - Japan - 2002-05-10
x
Price :
2.79 €
Format :
CD
Cover condition :
NA (Not applicable)
Media condition :
VG+ (Very Good +)
CD
NA/VG+
2.79 €
recordcityjp
(Japan)
Seller :
recordcityjp
Shipped from : Japan
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
art is hard
Saddle Creek - SCE-49 - Europe - 2003
x
Price :
2.75 €
Format :
CD
Cover condition :
VG (Very Good)
Media condition :
NM (Near Mint)
CD
VG/NM
2.75 €
necromonicon
(Belgique)
Seller :
necromonicon
Shipped from : Belgique
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
art is hard
Saddle Creek - SCE-49 - Europe - 2003
x
Price :
5.75 €
Format :
CD
Cover condition :
NM (Near Mint)
Media condition :
NM (Near Mint)
CD
NM/NM
5.75 €
necromonicon
(Belgique)
Seller :
necromonicon
Shipped from : Belgique
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
burst and bloom (2001)
x
Price :
5.33 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
5.33 €
funrec
(Deutschland)
Seller :
funrec
Shipped from : Deutschland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
burst and bloom [ep]
Saddle Creek - Saddle Creek LBJ-35 - USA - 2001
x
Price :
10.00 €
Format :
MCD
Cover condition :
M (Mint)
Media condition :
EX (Excellent)
MCD
M/EX
10.00 €
pycvinyl
(Suisse)
Seller :
pycvinyl
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
burst and bloom
SADDLE CREEK - USA - 2001
x
Price :
15.80 €
Format :
LP
Cover condition :
EX (Excellent)
Media condition :
EX (Excellent)
LP
EX/EX
15.80 €
frevers
(France)
Seller :
frevers
Shipped from : France
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
a cursive memory
changes
インディーズ・メーカー - XQCZ-1014
x
Price :
42.66 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
42.66 €
kupiku-com
(Suisse)
Seller :
kupiku-com
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
devourer
Run For Cover Records (2) - RFC275
x
Price :
70.94 €
Format :
LP
Cover condition :
M (Mint)
Media condition :
M (Mint)
LP
M/M
70.94 €
lotofmusic
(Nederland)
Seller :
lotofmusic
Shipped from : Nederland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
devourer
Run For Cover Records (2) - RFC275
x
Price :
26.94 €
Format :
CD
Cover condition :
M (Mint)
Media condition :
M (Mint)
CD
M/M
26.94 €
lotofmusic
(Nederland)
Seller :
lotofmusic
Shipped from : Nederland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
devourer
Run For Cover Records (2) - US - RFC275 - 2024
x
Price :
31.73 €
Format :
CD
Cover condition :
M (Mint)
Media condition :
M (Mint)
CD
M/M
31.73 €
gsmtools
(Czech Republic)
Seller :
gsmtools
Shipped from : Czech Republic
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
difference between houses and homes (1995-2001)
x
Price :
10.03 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
10.03 €
funrec
(Deutschland)
Seller :
funrec
Shipped from : Deutschland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
difference between houses and homes (2005, promo)
x
Price :
5.33 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
5.33 €
funrec
(Deutschland)
Seller :
funrec
Shipped from : Deutschland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
domestica
Run For Cover Records (2) - US - RFC305 - 2025
x
Price :
36.87 €
Format :
LP
Cover condition :
M (Mint)
Media condition :
M (Mint)
LP
M/M
36.87 €
gsmtools
(Czech Republic)
Seller :
gsmtools
Shipped from : Czech Republic
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive's
domestica
x
Price :
8.74 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
8.74 €
funrec
(Deutschland)
Seller :
funrec
Shipped from : Deutschland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
domestica
Saddle Creek LBJ-31 - USA - 2000
x
Price :
12.00 €
Format :
CD
Cover condition :
NM (Near Mint)
Media condition :
EX (Excellent)
CD
NM/EX
12.00 €
pycvinyl
(Suisse)
Seller :
pycvinyl
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
domestica
15 Passenger - 15PR06
x
Price :
28.94 €
Format :
CD x 2
Cover condition :
M (Mint)
Media condition :
M (Mint)
CD x 2
M/M
28.94 €
lotofmusic
(Nederland)
Seller :
lotofmusic
Shipped from : Nederland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
dorothy at forty
x
Price :
7.11 €
Format :
CD single
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD single
VG+/VG+
7.11 €
funrec
(Deutschland)
Seller :
funrec
Shipped from : Deutschland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
the mag seven, cursive & others
fossil jeans presents 13 tracks vol. 4
Not On Label - none - US - 2003
x
Price :
4.48 €
Format :
CD
Cover condition :
NM (Near Mint)
Media condition :
NM (Near Mint)
CD
NM/NM
4.48 €
recordsale
(Deutschland)
Seller :
recordsale
Shipped from : Deutschland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
get fixed
15 Passenger - 15P-006 - US - 2020-01-17
x
Price :
29.86 €
Format :
LP
Cover condition :
M (Mint)
Media condition :
M (Mint)
LP
M/M
29.86 €
recordcityjp
(Japan)
Seller :
recordcityjp
Shipped from : Japan
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
get fixed
15 Passenger - 15P-006
x
Price :
38.94 €
Format :
LP
Cover condition :
M (Mint)
Media condition :
M (Mint)
LP
M/M
38.94 €
lotofmusic
(Nederland)
Seller :
lotofmusic
Shipped from : Nederland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
get fixed
15 Passenger 15 Passenger - 15P-006 15P006
x
Price :
12.94 €
Format :
CD
Cover condition :
M (Mint)
Media condition :
M (Mint)
CD
M/M
12.94 €
lotofmusic
(Nederland)
Seller :
lotofmusic
Shipped from : Nederland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
happy hollow (2006, promo)
x
Price :
11.10 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
11.10 €
funrec
(Deutschland)
Seller :
funrec
Shipped from : Deutschland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
happy hollow
Sideout Records - VSO-0027 - Japan - 2006
x
Price :
2.79 €
Format :
CD
Cover condition :
NA (Not applicable)
Media condition :
VG (Very Good)
CD
NA/VG
2.79 €
recordcityjp
(Japan)
Seller :
recordcityjp
Shipped from : Japan
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
happy hollow
Saddle Creek Europe - SCE94CD - Europe - 2006
x
Price :
4.00 €
Format :
CD
Cover condition :
VG (Very Good)
Media condition :
VG+ (Very Good +)
CD
VG/VG+
4.00 €
bdzik43
(France)
Seller :
bdzik43
Shipped from : France
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
happy hollow
SIDE OUT RECORDS - VSO-0027
x
Price :
17.14 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
17.14 €
kupiku-com
(Suisse)
Seller :
kupiku-com
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
happy hollow
SIDE OUT RECORDS - VSO-0027
x
Price :
30.05 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
30.05 €
kupiku-com
(Suisse)
Seller :
kupiku-com
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
happy hollow
SIDE OUT RECORDS - VSO-0027
x
Price :
50.48 €
Format :
CD
Cover condition :
S (Sealed)
Media condition :
S (Sealed)
CD
S/S
50.48 €
kupiku-com
(Suisse)
Seller :
kupiku-com
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
mama i'm swollen (2009, digi)
x
Price :
5.33 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
5.33 €
funrec
(Deutschland)
Seller :
funrec
Shipped from : Deutschland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
storms of early summer:semantics of song (1998, us)
x
Price :
4.21 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
4.21 €
funrec
(Deutschland)
Seller :
funrec
Shipped from : Deutschland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the difference between houses and homes (lost songs and loose ends 1995 - 2001)
Saddle Creek Records / Saddle Creek Europe - SCE70CD - United Kingdom - 2005
x
Price :
17.90 €
Format :
CD
Cover condition :
M (Mint)
Media condition :
M (Mint)
CD
M/M
17.90 €
minkocitron
(Belgique)
Seller :
minkocitron
Shipped from : Belgique
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the difference between houses and homes
Saddle Creek - LBJ-70 - US - 2005-09-25
x
Price :
8.99 €
Format :
LP
Cover condition :
NM (Near Mint)
Media condition :
NM (Near Mint)
LP
NM/NM
8.99 €
francescob
(Italia)
Seller :
francescob
Shipped from : Italia
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the difference between houses and homes
Sideout Records - VSO 0021 - Japan - 2005
x
Price :
2.79 €
Format :
CD
Cover condition :
NA (Not applicable)
Media condition :
VG+ (Very Good +)
CD
NA/VG+
2.79 €
recordcityjp
(Japan)
Seller :
recordcityjp
Shipped from : Japan
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the difference between houses and homes
Saddle Creek Europe - SCE70CD
x
Price :
4.80 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
4.80 €
goldenoldies
(Belgique)
Seller :
goldenoldies
Shipped from : Belgique
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the difference between houses and homes
SIDE OUT RECORDS - VSO 0021
x
Price :
25.48 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
25.48 €
kupiku-com
(Suisse)
Seller :
kupiku-com
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the difference between houses and homes
SIDE OUT RECORDS - VSO 0021
x
Price :
41.54 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
41.54 €
kupiku-com
(Suisse)
Seller :
kupiku-com
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the ugly organ
Saddle Creek Europe - SCE-51 - Europe - 2003
x
Price :
5.00 €
Format :
LP
Cover condition :
VG (Very Good)
Media condition :
VG+ (Very Good +)
LP
VG/VG+
5.00 €
bdzik43
(France)
Seller :
bdzik43
Shipped from : France
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the ugly organ
Run For Cover Records (2) - US - RFC307 - 2025
x
Price :
36.87 €
Format :
LP
Cover condition :
M (Mint)
Media condition :
M (Mint)
LP
M/M
36.87 €
gsmtools
(Czech Republic)
Seller :
gsmtools
Shipped from : Czech Republic
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the ugly organ
saddle creek - uk - 2003
x
Price :
10.00 €
Format :
CD
Cover condition :
M (Mint)
Media condition :
M (Mint)
CD
M/M
10.00 €
pycvinyl
(Suisse)
Seller :
pycvinyl
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the ugly organ
SIDE OUT RECORDS - VSO-0002
x
Price :
28.15 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
28.15 €
kupiku-com
(Suisse)
Seller :
kupiku-com
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
the ugly organ
SIDE OUT RECORDS - VSO-0002
x
Price :
46.65 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
46.65 €
kupiku-com
(Suisse)
Seller :
kupiku-com
Shipped from : Suisse
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
ugly organ (2003)
x
Price :
6.08 €
Format :
CD
Cover condition :
VG+ (Very Good +)
Media condition :
VG+ (Very Good +)
CD
VG+/VG+
6.08 €
funrec
(Deutschland)
Seller :
funrec
Shipped from : Deutschland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
cursive
vitriola
15 Passenger - 15P-004
x
Price :
12.94 €
Format :
CD
Cover condition :
M (Mint)
Media condition :
M (Mint)
CD
M/M
12.94 €
lotofmusic
(Nederland)
Seller :
lotofmusic
Shipped from : Nederland
x
Add to cart
Details
Sell
Compare
Add to cart
Details
Sell
Compare
page 1 / 1
Artist
cursive (38)
a cursive memory (1)
cursive eastern youth (1)
cursive's (1)
mag seven cursive others (1)
Title
Format
Record grading
Cover grading
Label
Pressing
Dispatched from
Seller
Narrow your search
All fields
Artist
Title
Artist + Title
Label
Pressing
Description
Seller
OK
Grading
New
Used
Edition
Original
Reissue
OK
Price
From
€ - EUR
To
€ - EUR
OK
Discover the app.
CDandLP: simple and easy.
Close
Open